#
# spec file for package plucker (Version 1.1.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick cstools freetype2 ghostscript-fonts-std ghostscript-library ghostscript-x11 l2h libjpeg liblcms libnetpbm libpng libtiff libxml2 libz netpbm openssl ppmtoTbmp python te_latex tetex xf86 xpm
# usedforbuild    ImageMagick aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cstools cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-x11 glibc glibc-devel gpm gppshare grep groff gzip kbd l2h less libjpeg liblcms libnetpbm libpng libtiff libtool libxml2 libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm openssl pam pam-devel patch perl ppmtoTbmp ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         plucker
Copyright:    GPL
Group:        Applications/Internet
Requires:     perl python ppmtoTbmp jpeg
Autoreqprov:  on
Version:      1.1.9
Release:      73
Source:       %{name}_bin-%{version}.tar.bz2
URL:          http://plucker.gnu-designs.com
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A free offline HTML viewer for your Palm Pilot

%description
Plucker is a suite of programs which provide an off-line HTML viewer for
3Com's PalmOS systems. It's free under the conditions of the Free Software
Foundation's General Public License, so you can copy, change, or even sell
this program without giving anyone any money, as long as you make the source
code (and your changes, if any) publicly available.
Plucker increase the utility of your hand-held device by letting you view
web pages and any document that can be converted to HTML or text. Plucker
has many advanced features including the ability to read web pages with
embedded images, an advanced find function, the ability to open an e-mail
form when tapping on mail-links in web documents, an impressive compression
ratio for the documents and an open, documented DB format. It can also be
customized for your specific needs. And not to be forgotten the source code
is available for your perusal.

Authors:
--------
    Plucker Devel Team <plucker-dev@rubberchicken.org>

SuSE series: ap

%prep
%setup

%build
%{suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --with-docdir=/usr/share/doc/packages/plucker \
            --with-pluckerdir=/usr/share/plucker
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install
%define python_site %(echo `python -c "import site; print site.sitedirs[0];"`)
%define PyDir %{python_site}/PyPlucker 
ln -s %{PyDir}/Spider.py  $RPM_BUILD_ROOT/usr/bin/plucker-build
ln -s %{PyDir}/PluckerDocs.py $RPM_BUILD_ROOT/usr/bin/plucker-decode
ln -s %{PyDir}/Decode.py $RPM_BUILD_ROOT/usr/bin/plucker-dump

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGREPORT FAQ NEWS README REQUIREMENTS AUTHORS TODO CREDITS
/usr/share/man/man1/plucker-build*
/usr/bin/plucker-setup
/usr/bin/plucker-build
/usr/bin/plucker-decode
/usr/bin/plucker-dump
%{python_site}/PyPlucker/
/usr/share/plucker/

%changelog -n plucker
* Thu Aug 09 2001 - ro@suse.de
- fixed typo in specfile
* Wed Aug 08 2001 - ro@suse.de
- use macro for python dir
* Wed Aug 08 2001 - adostal@suse.cz 
- update to version 1.1.9
- fixed spec file
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Jun 13 2001 - pblaha@suse.cz
- add libxml2 to #needforbuild for ImageMagic
* Tue May 22 2001 - pblaha@suse.cz
- add Requires: jpeg for netpbm parser
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 11 2001 - pblaha@suse.cz
- update on 1.1 version
* Wed Mar 14 2001 - ro@suse.de
- added freetype (needed by convert)
* Tue Mar 13 2001 - ro@suse.de
- added liblcms (needed by convert)
* Wed Mar 07 2001 - pblaha@suse.cz
- create this package for offline web browsing on Palm
